<h2 mat-dialog-title class="title">{{data.title}}</h2>
<div mat-dialog-content>
  <form class="example-form col-12 float-left">
    <div class="col-lg-6 col-12 float-left">
    <mat-form-field class="example-full-width col-12" >
      <mat-label class="font-comp">Nombres</mat-label>
      <input name="nombre" matInput placeholder="Ingrese nombres" [attr.maxLength]="configserv.maxlength" value="" class="col-l font-comp" [(ngModel)]="regserv.miembro_reg.nombres" appLetras cdkFocusInitial>
    </mat-form-field>
    <mat-form-field class="example-full-width col-12" >
      <mat-label class="font-comp">Apellido Paterno</mat-label>
      <input name="apepaterno" matInput placeholder="Ingrese apellido paterno" [attr.maxLength]="configserv.maxlength" value="" class="col-l font-comp" [(ngModel)]="regserv.miembro_reg.apellidopaterno">
    </mat-form-field>
    <mat-form-field class="example-full-width col-12" >
      <mat-label class="font-comp">Apellido Materno</mat-label>
      <input name="apematerno" matInput placeholder="Ingrese apellido materno" [attr.maxLength]="configserv.maxlength" value="" class="col-l font-comp" [(ngModel)]="regserv.miembro_reg.apellidomaterno">
    </mat-form-field>
    <mat-form-field class="example-full-width col-12" >
      <mat-label class="font-comp">Fecha Nacimiento</mat-label>
      <!-- [min]="datepast" -->
      <input class="font-comp col-12" matInput [matDatepicker]="dp3"  [formControl]="date"  [max]="today" readonly [(ngModel)]="regserv.miembro_reg.fechanacimiento"  />
      <mat-datepicker-toggle matSuffix [for]="dp3"></mat-datepicker-toggle>
      <mat-datepicker #dp3 disabled="false"></mat-datepicker>
    </mat-form-field>
    <app-ctrlfamilias [descripcionctrl]="'Seleccione familia'" [mostrar]=true ></app-ctrlfamilias>

    <mat-form-field appearance="fill" class="example-full-width col-12">
      <mat-label class="font-comp">Clasificación por Edad</mat-label>
      <mat-select class="font-comp" name="clasificacionedad" [(ngModel)]="regserv.miembro_reg.clasificacionedad">
        <mat-option
            *ngFor="let option of etapa_lst"
            value="{{ option.id }}">
          {{ option.descripcion }}
        </mat-option>
      </mat-select>
    </mat-form-field>

    </div>
    <div class="col-lg-6 col-12 float-left">
    <mat-form-field class="example-full-width col-12" >
      <mat-label class="font-comp">Email</mat-label>
      <input name="email" matInput placeholder="Ingrese email" [attr.maxLength]="configserv.maxlength" value="" class="col-l font-comp" [(ngModel)]="regserv.miembro_reg.email">
    </mat-form-field>

    <mat-form-field class="example-full-width col-12" >
      <mat-label class="font-comp">Teléfono/Celular 01</mat-label>
      <input name="phone1" matInput placeholder="Ingrese teléfono o celular" [attr.maxLength]="configserv.maxlength" value="" class="col-l font-comp" [(ngModel)]="regserv.miembro_reg.telefono1">
    </mat-form-field>

    <mat-form-field class="example-full-width col-12" >
      <mat-label class="font-comp">Teléfono/Celular 02</mat-label>
      <input name="phone2" matInput placeholder="Ingrese teléfono o celular" [attr.maxLength]="configserv.maxlength" value="" class="col-l font-comp" [(ngModel)]="regserv.miembro_reg.telefono2">
    </mat-form-field>

    <section class="example-section full-width col-12" style="padding: 10px 15px;">
      <!-- <label id="example-radio-group-label">Sexo</label> -->
      <mat-radio-group name="sexo" aria-label="Seleccione sexo" [(ngModel)]="regserv.miembro_reg.sexo">

        <mat-radio-button [value]="1">Hombre</mat-radio-button>
        <mat-radio-button [value]="0">Mujer</mat-radio-button>
      </mat-radio-group>
    </section>

    <section class="example-section full-width col-12" style="padding: 5px 15px;">
      <mat-checkbox name="miembro"   class="example-margin" [(ngModel)]="regserv.miembro_reg.miembro">Miembro de la iglesia</mat-checkbox>
    </section>
    </div>
  </form>
  <div mat-dialog-actions class="example-full-width apbtn col-12 float-left">
    <button class="btn btn-sm btn-danger btn-uq" mat-button (click)="configserv.onNoClickDialog(dialogRef)">Cancelar</button>
    <button class="btn btn-sm btn-reg btn-uq" mat-button (click)="guardarmiembro()" >Aceptar</button>
    <!-- cdkFocusInitial ->FOCUS -->
  </div>
</div>


